Package com.emc.d2fs.interfaces

# Interface IRepositoryService

All Superinterfaces:
  `ID2fsService`

public interface IRepositoryService extends ID2fsService
Repository services. Provides access to repository information, repository browsing and connection validation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkLogin(Context context)`
  Check if current connection is still active
  `String`
  `checkLoginUserName(Context context)`
  Check if the current connection is still active, return the login user's friendly name if it is
  `void`
  `cleanupSearchData(Context context, List<Context> contexts)`
  Cleanup any temporary search objects associated X3 context.
  `List<Attribute>`
  `generateDMTicket(Context context)`
  Generate a new DM_TICKET
  `AppInfo`
  `getAppInfo(String locale)`
  return list of application names to be displayed in the login dialog
  `String`
  `getLogoutRedirectURL(Context context)`
  get logout redirect URL
  `List<NetworkLocation>`
  `getNetworkLocations(String clientIP)`
  Return either a list of network locations that contain the given IP address or a list of default network locations if there is no network location that contain the given IP address.
  `List<Repository>`
  `getRepositories()`
  Get all available repositories for connection
  `Repository`
  `getRepository(String id)`
  Get specific repository
  `String`
  `getRepositoryNameFromId(Context context, String id)`
  return repository matching the objectId
  `String`
  `getUserLoginName(Context context)`
  Check if the current connection is still active, return the user's login name if it is This function is only needed for the Kerberos user in the end to end solution.
  `boolean`
  `release(List<Context> contexts)`
  Release specified session(s)
  `void`
  `setKrbWebAppSPN(String SPN)`
  Set the Kerberos web app service principal name

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### getRepositories

    List<Repository> getRepositories() throws Exception
    Get all available repositories for connection
    Returns:
      `Repository` list
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getNetworkLocations

    List<NetworkLocation> getNetworkLocations(String clientIP) throws Exception
    Return either a list of network locations that contain the given IP address or a list of default network locations if there is no network location that contain the given IP address.
    Parameters:
      `clientIP` - Client IP address
    Returns:
      `NetworkLocation` list
    Throws:
      `Exception`
    Since:
      4.2 Patch 7

  - ### getRepository

    Repository getRepository(String id) throws Exception
    Get specific repository
    Parameters:
      `id` - String value of targeted repository id
    Returns:
      `Repository` object
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### checkLogin

    boolean checkLogin(Context context) throws Exception
    Check if current connection is still active
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      true if connection is active
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getLogoutRedirectURL

    String getLogoutRedirectURL(Context context) throws Exception
    get logout redirect URL
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      true URL to redirect
    Throws:
      `Exception`
    Since:
      4.2.1

  - ### release

    boolean release(List<Context> contexts) throws Exception
    Release specified session(s)
    Parameters:
      `contexts` - `Context` list of object containing informations about client/session
    Returns:
      true if process performs without error
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### cleanupSearchData

    void cleanupSearchData(Context context, List<Context> contexts) throws Exception
    Cleanup any temporary search objects associated X3 context.
    Parameters:
      `context` - D2 context.
      `contexts` - X3 contexts list.
    Throws:
      `Exception`
    Since:
      4.2.1

  - ### setKrbWebAppSPN

    void setKrbWebAppSPN(String SPN) throws Exception
    Set the Kerberos web app service principal name
    Parameters:
      `SPN` - Kerberos web app service principal name
    Throws:
      `Exception`

  - ### generateDMTicket

    List<Attribute> generateDMTicket(Context context) throws Exception
    Generate a new DM_TICKET
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      A list of attributes containing the new DM_TICKET and time info about it
    Throws:
      `Exception`
    Since:
      4.2

  - ### checkLoginUserName

    String checkLoginUserName(Context context) throws Exception
    Check if the current connection is still active, return the login user's friendly name if it is
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      The login user's friendly name if the connection is active
    Throws:
      `Exception`
    Since:
      4.2.1

  - ### getUserLoginName

    String getUserLoginName(Context context) throws Exception
    Check if the current connection is still active, return the user's login name if it is This function is only needed for the Kerberos user in the end to end solution.
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      The user's login name if the connection is active
    Throws:
      `Exception`
    Since:
      16.5

  - ### getRepositoryNameFromId

    String getRepositoryNameFromId(Context context, String id) throws Exception
    return repository matching the objectId
    Parameters:
      `context` - `Context` object containing information about client/session
      `id` - String id of the object
    Returns:
      String repository name
    Throws:
      `Exception`
    Since:
      4.5.0 P25

  - ### getAppInfo

    AppInfo getAppInfo(String locale) throws Exception
    return list of application names to be displayed in the login dialog
    Throws:
      `Exception`
    Since:
      4.8.0